## solnet-repository 2006.Q3.1-2

=== Makefile ===
build-stamp:
clean:
install:
	@echo installing data to the dir: '$(DESTDIR)'
	if [ -n "$(DESTDIR)" ] ; then cp -a root/* "$(DESTDIR)" ; fi

=== debian/changelog ===
solnet-repository (2006.Q3.1-2) unstable; urgency=low

  * added lockfile

 -- Jan Provazník <Jan.Provazník@solnet.cz>  Wed,  3 Jan 2007 11:59:03 +0100

solnet-repository (2006.Q3.1-1) unstable; urgency=low

  * Initial Release.

 -- Jan Provazník <Jan.Provazník@solnet.cz>  Tue,  2 Jan 2007 13:33:08 +0100

=== debian/control ===
Source: solnet-repository
Section: unknown
Priority: optional
Maintainer: Jan Provazník <Jan.Provazník@solnet.cz>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: solnet-repository
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: solnet debian repository management tool

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/solnet-repository.sgml > solnet-repository.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/solnet-repository.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/solnet-repository


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
